%define upstream_name    Test-Pretty
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Smile Precure!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(TAP::Formatter::Base)
BuildRequires: perl(TAP::Formatter::Session)
BuildRequires: perl(TAP::Harness)
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Term::ANSIColor) >= 3.20.0
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::Builder) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Test::Pretty is a prettifier for Test::More.

When you are writing a test case such as following:

    use strict;
    use warnings;
    use utf8;
    use Test::More;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.320.0-4pclos2017
- rebuild against updates

